
Figure - Bug #114665
【BSP】【EVT2】【FOTA】增量包升级失败
2022-12-16 22:45 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2022-12-16

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212140521

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 需求变更，暂不处理

Description

【前提条件】

1.中控环境搭建好

2.中控环境中有全量包(FTP中文件名为：merged-qssi_figure-ota.zip )

【测试步骤】

2.用"增量包"（incr_ota-figure-user.zip）替换掉"全量包"并将其改为"update.zip" 

3.中控通过网线链接路由，路由通过网线或者wifi 链接DUT

4.中控IP：192.168.0.2 ，DUT-IP：192.168.0.18

5.进入终端，cd ~/server/目录，并运行命令

sudo ./run_https.sh

sudo ./run_orch.sh

adb shell logcat > logcat-screnen-not_black.txt

6.待功能启动

7.选择功能2（Download PACKAGE）

输入"2"->按"回车" ->输入 "1"->输入"update.zip" 

8.等待下载完成并选择运行功能0（run script ）

输入 "0"-> 按"回车"->等待log中有提示下载完成(download succesful)->“adb reboot " 

9.查看能否升级

【期望结果】

9.升级成功

【实际结果】

4.升级失败

【复现概率】3/3

Related issues:

Copied from Figure - Bug # 114663: 【BSP】【EVT2】【FOTA】副屏接收包... CLOSED 2022-12-16

Copied to Figure - Bug # 114666: 【AF】【EVT2】【FOTA】【WIFI】FO... CLOSED 2022-12-16

Copied to Figure - Bug # 114667: 【BSP】【EVT2】【FOTA】FOTA升级后... CLOSED 2022-12-16

Copied to Figure - Bug # 114668: 【BSP】【EVT2】【FOTA】全量包升级过程... CLOSED 2022-12-16

History

#1 - 2022-12-22 10:48 - CD BSP 叶鹏 

- Status changed from New to NEED_INFO

- Assignee changed from CD BSP 叶鹏  to BPD-TMBG 刘勇

2025-07-04 1/3



使用升级包错误，应该将差分升级包解压出update.zip这个用于升级的升级包再测试

#2 - 2022-12-22 17:23 - CDTS-TEST 周婷

- Assignee changed from BPD-TMBG 刘勇 to CDTS_TEST 刘勇

#3 - 2022-12-27 22:54 - CDTS_TEST 刘勇

- Assignee changed from CDTS_TEST 刘勇 to CD BSP 叶鹏 

使用相同版本和增量包升级，升级成功，在另外一台电脑中升级失败，出现在下载出错，麻烦研发排查一下原因。

#4 - 2022-12-28 09:46 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

#5 - 2022-12-28 10:43 - CD BSP 叶鹏 

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD BSP 叶鹏  to CDTS_TEST 刘勇

根据刘勇发的日志的错误信息来看是下载出错的，但是这个下载接口是博世框架提供的，我们并没有修改该部分，需要向博世提bug或者和客户沟通看如

何解决

#6 - 2022-12-30 10:45 - CDTS_TEST 刘勇

- Assignee changed from CDTS_TEST 刘勇 to CDTS_TEST 王成

20221229提供信息：博世FOTA不用交付了，bug、test、优化全部暂定哈

麻烦确认下此票是否关闭，如果关闭麻烦走下状态，当前状态Need_INFO,无法走到close状态

#7 - 2023-01-12 10:39 - CDTS-TEST 周婷

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CDTS_TEST 王成 to CDTS-TEST 周婷

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Root cause set to 需求变更，暂不处理

需求变更，博世fota 接口取消

#8 - 2023-01-31 09:37 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to 移动测试一组_CDTS 刘强

#9 - 2023-01-31 14:55 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED
需求变更，关闭次issue

#10 - 2023-01-31 14:55 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

logcat-boxes-fota-dut_screen_not_poweroff.txt 3.38 MB 2022-12-16 CDTS_TEST 刘勇

logcat-boxes-fota-dut_inor_upgrade_fail.txt 2.28 MB 2022-12-16 CDTS_TEST 刘勇
